# run

Runs an external process

Usage

    run <commandline>

Description
Runs an external process. This command does not allow any other interaction with the process started. If you want to grab the process output you probably need to use exec. Run doesn't spawn a subshell in order to execute the <commandline> and thus if you need shell substitutions to be made you must invoke the shell by yourself (probably by passing the real command as the -c argument).
Syntax Specification

    run <commandline:string>

Examples

    run xterm
    run xmessage -center *
    # note the difference in * processing
    run /bin/bash -c "xmessage -center *"

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011